petsc-3.15.0 2021-03-30
Report Typos and Errors

# PCMGGetCoarseSpaceConstructor

Returns the given coarse space construction method.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetCoarseSpaceConstructor(const char name[], PetscErrorCode (**function)(PC, PetscInt, DM, KSP, PetscInt, const Vec[], Vec **))

Not collective

### Input Parameter

| name | - name of the constructor

### Output Parameter

| function | - constructor routine

### Notes

### Calling sequence for the routine

    my_csp(PC pc, PetscInt l, DM dm, KSP smooth, PetscInt Nc, const Vec initGuess[], Vec **coarseSp)

      pc        - The PC object

      l         - The multigrid level, 0 is the coarse level

      dm        - The DM for this level

      smooth    - The level smoother

      Nc        - The size of the coarse space

      initGuess - Basis for an initial guess for the space

      coarseSp  - A basis for the computed coarse space

### See Also

PCMGRegisterCoarseSpaceConstructor(), PCRegister()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages